Name:		pptpd
#%define ver_base 1.1.4
#%define ver_cvs 20030409
#Version: %ver_base%{?ver_cvs:_%ver_cvs}
Version:	1.1.4
Release:	alt3.b4
#%define srcname %name-%ver_base%{?ver_cvs:-%ver_cvs}

Summary:	A PPTP server daemon
Summary(ru_RU.KOI8-R):    PPTP
License:	GPL
Group:		System/Servers
Url:		http://www.poptop.org/

#Source: http://unc.dl.sourceforge.net/sourceforge/poptop/%srcname.tar.bz2
Source:		http://heanet.dl.sourceforge.net/sourceforge/poptop/pptpd-1.1.4-b4.tar.gz
Source1:	pptpd.init
Source2:	pptpd.sysconfig
Patch1:		pptpd-1.1.4-b4-alt-makefile.patch
Patch2:		pptpd-1.1.4-b2-asp-alt-alternate-pppd.patch

Requires:	ppp

BuildPreReq:	rpm-build >= 4.0.4-alt10, autoconf = 2.13, automake = 1.4
BuildRequires:	libwrap-devel

#%def_with libwrap

%description
PPTPd, Point-to-Point Tunnelling Protocol Daemon, offers out connections
to PPTP clients to become virtual members of the IP pool owned by the PPTP
server.  In effect, these clients become virtual members of the local
subnet, regardless of what their real IP address is.  A tunnel is built
between the PPTP server and client, and packets from the subnet are
wrapped and passed between server and client similar to other C/S
protocols.

%description -l ru_RU.KOI8-R
PPTPd, Point-to-Point Tunnelling Protocol Daemon,  
PPTP-    IP-,   PPTP.
         
    IP-.     
  ,      
  .

%prep
%setup -q -n poptop-%version
%patch1 -p1
#%patch2 -p1

find -type d -name CVS -print0 |
	xargs -r0 rm -rf --

%build
%set_autoconf_version 2.13
%set_automake_version 1.4
#%configure %{subst_with libwrap}
%configure --with-libwrap --with-bcrelay
%make_build

%install
%makeinstall

%__install -pD -m644 samples/%name.conf $RPM_BUILD_ROOT%_sysconfdir/%name.conf
%__install -pD -m644 samples/options.%name $RPM_BUILD_ROOT%_sysconfdir/ppp/options.%name
%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name
%__install -pD -m600 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/%name

%post
%post_service %name

%preun
%preun_service %name

%files
%config %_initdir/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%config(noreplace) %_sysconfdir/%name.conf
%config(noreplace) %_sysconfdir/ppp/options.%name
%_sbindir/*
%_mandir/man?/*
%doc AUTHORS INSTALL README* TODO html samples tools ChangeLog*

%changelog
* Mon May 31 2004 Denis Ovsienko <pilot@altlinux.ru> 1.1.4-alt3.b4
- moved strange scripts away from bindir and eliminated perl-base dependency

* Tue May 25 2004 Denis Ovsienko <pilot@altlinux.ru> 1.1.4-alt2.b4
- disabled dangerous patch

* Sat May 15 2004 Denis Ovsienko <pilot@altlinux.ru> 1.1.4-alt1.b4
- previous version was actually 1.1.4-b4
- Russian tags
- enabled libwrap support and broadcast relaying
- group changed to System/Servers

* Wed May 05 2004 Denis Ovsienko <pilot@altlinux.ru> 1.1.4-alt1.b2
- initscript adjusted for current requirements and fixed
- new stable version 1.1.4-b2
- patches adjusted for new version

* Wed Apr 23 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.3_20030409-alt1
- NMU: updated to 1.1.3-20030409, to fix exploitable buffer overflow,
  thanks to Timo Sirainen for reporting this issue.

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt1
- 1.1.3
- Rebuilt in new environment

* Mon Jun 17 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.2-alt1
- 1.1.2
- Added patches from ASP Linux
- Added /etc/sysconfig/pptpd file with args for pptpd
- Some spec cleanup

* Tue Nov 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.1-ipl2
- Rebuild for Sisyphus
- Fixed filelist
- Added %post & %postun scripts

* Sun Mar 18 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.1.1-ipl1
- First build for ALT
